# Uses of Class
org.eclipse.swt.graphics.Image

Packages that use Image
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.contentmergeviewer
Support for compare and merge viewers which show the content side-by-side.
org.eclipse.compare.internal
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.debug.ui.memory
Provides classes and interfaces to render memory blocks in the memory view.
org.eclipse.debug.ui.sourcelookup
Provides a user interface for debug platform source lookup facilities.
org.eclipse.e4.ui.css.swt.helpers
org.eclipse.e4.ui.widgets
org.eclipse.e4.ui.workbench.renderers.swt
org.eclipse.e4.ui.workbench.swt.util
org.eclipse.help.ui.internal
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.jface.databinding.fieldassist
Provides classes that bridge between data binding and the JFace Fieldassist framework.
org.eclipse.jface.databinding.swt.typed
org.eclipse.jface.databinding.viewers
Provides classes that can be used to observe the JFace Viewer framework.
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.jface.fieldassist
Provides classes that help communicate proper content for fields in dialogs and wizards.
org.eclipse.jface.notifications
org.eclipse.jface.notifications.internal
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.resource
Provides support for managing resources such as SWT fonts and images.
org.eclipse.jface.text.contentassist
Provides a content assist add-on for an `ITextViewer`.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.jface.text.templates
Application programming interfaces for interaction with the Eclipse text template support.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.jface.widgets
org.eclipse.jface.window
Provides a general framework for creating and managing windows.
org.eclipse.jface.wizard
Provides a framework for wizards.
org.eclipse.ltk.ui.refactoring.history
Application programming interface to display and preview refactoring history information.
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.swt.dnd
SWT Drag and Drop support.
org.eclipse.swt.graphics
SWT graphics classes.
org.eclipse.swt.internal
SWT internal classes
org.eclipse.swt.widgets
SWT widget public API classes.
org.eclipse.team.ui.history
Application programming interfaces for working with history.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.forms.editor
Support for forms-based multi-page editors.
org.eclipse.ui.forms.widgets
Custom widgets and controls for forms-based parts.
org.eclipse.ui.internal
org.eclipse.ui.intro
Application programming interfaces for interaction with and extension of the product introduction parts.
org.eclipse.ui.intro.quicklinks
Application programming interfaces for the Quicklinks Viewer, a component for the Welcome/Intro.
org.eclipse.ui.model
Provides a workbench adapter for displaying workbench elements in the UI without having to know the concrete type of the element, and various label providers for workbench-specific objects like editors, views, and perspectives.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.progress
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.texteditor.templates
Application programming interfaces for interaction with the Eclipse text editor template support.
org.eclipse.ui.views.markers
Utility classes for working with markers in views
org.eclipse.ui.views.markers.internal
org.eclipse.ui.views.properties
Provides the standard Property Sheet view which displays custom properties of the active workbench part's current selection.
org.eclipse.ui.views.properties.tabbed
Provides the Tabbed Properties framework.

## Uses of Image in org.eclipse.compare

Methods in org.eclipse.compare that return Image
Modifier and Type
Method
Description
`Image`
CompareConfiguration.`getAncestorImage(Object element)`
Returns the image for the ancestor side of compare/merge viewers.
`Image`
ICompareInputLabelProvider.`getAncestorImage(Object input)`
Returns the image for the ancestor side of compare/merge viewers.
`protected Image`
EditionSelectionDialog.`getEditionImage(ITypedElement selectedEdition, ITypedElement item)`
Deprecated.
Returns an image for identifying the edition side of a compare viewer.
`Image`
CompareConfiguration.`getImage(int kind)`
Returns an image showing the specified change kind.
`Image`
CompareConfiguration.`getImage(Image base, int kind)`
Returns an image showing the specified change kind applied to a given base image.
`static Image`
CompareUI.`getImage(String type)`
Returns a shared image for the given type, or a generic image if none has been registered for the given type.
`static Image`
CompareUI.`getImage(IAdaptable adaptable)`
Returns a shared image for the given adaptable.
`Image`
HistoryItem.`getImage()`
`Image`
ITypedElement.`getImage()`
Returns an image for this object.
`Image`
ResourceNode.`getImage()`
`Image`
CompareConfiguration.`getLeftImage(Object element)`
Returns the image for the left hand side of compare/merge viewers.
`Image`
ICompareInputLabelProvider.`getLeftImage(Object input)`
Returns the image for the left hand side of compare/merge viewers.
`Image`
CompareConfiguration.`getRightImage(Object element)`
Returns the image for the right hand side of compare/merge viewers.
`Image`
ICompareInputLabelProvider.`getRightImage(Object input)`
Returns the image for the right hand side of compare/merge viewers.
`Image`
CompareEditorInput.`getTitleImage()`
Returns the title image which will be used in the compare editor's title bar.
Methods in org.eclipse.compare with parameters of type Image
Modifier and Type
Method
Description
`static void`
CompareUI.`disposeOnShutdown(Image image)`
Registers the given image for being disposed when this plug-in is shutdown.
`Image`
CompareConfiguration.`getImage(Image base, int kind)`
Returns an image showing the specified change kind applied to a given base image.
`void`
CompareConfiguration.`setAncestorImage(Image image)`
Sets the image to use for the ancestor of compare/merge viewers.
`void`
EditionSelectionDialog.`setEditionTitleImage(Image titleImage)`
Deprecated.
Sets an optional image for the edition pane's title.
`void`
CompareViewerPane.`setImage(Image image)`
Set the pane's title Image.
`void`
CompareConfiguration.`setLeftImage(Image image)`
Sets the image to use for the left side of compare/merge viewers.
`void`
CompareConfiguration.`setRightImage(Image image)`
Sets the image to use for the right side of compare/merge viewers.

## Uses of Image in org.eclipse.compare.contentmergeviewer

Methods in org.eclipse.compare.contentmergeviewer that return Image
Modifier and Type
Method
Description
`Image`
IMergeViewerContentProvider.`getAncestorImage(Object input)`
Returns an optional image for the ancestor side of a `ContentMergeViewer`.
`Image`
IMergeViewerContentProvider.`getLeftImage(Object input)`
Returns an optional image for the left side of a `ContentMergeViewer`.
`Image`
IMergeViewerContentProvider.`getRightImage(Object input)`
Returns an optional image for the right side of a `ContentMergeViewer`.

## Uses of Image in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal that return Image
Modifier and Type
Method
Description
`Image`
MergeViewerContentProvider.`getAncestorImage(Object element)`
`Image`
MirroredMergeViewerContentProvider.`getAncestorImage(Object input)`
`static Image`
CompareUIPlugin.`getImage(String type)`
Returns a shared image for the given type, or a generic image if none has been registered for the given type.
`static Image`
CompareUIPlugin.`getImage(IAdaptable adaptable)`
Returns a shared image for the given adaptable.
`Image`
MergeViewerContentProvider.`getLeftImage(Object element)`
`Image`
MirroredMergeViewerContentProvider.`getLeftImage(Object input)`
`Image`
MergeViewerContentProvider.`getRightImage(Object element)`
`Image`
MirroredMergeViewerContentProvider.`getRightImage(Object input)`
Methods in org.eclipse.compare.internal with parameters of type Image
Modifier and Type
Method
Description
`static void`
CompareUIPlugin.`disposeOnShutdown(Image image)`
Registers the given image for being disposed when this plug-in is shutdown.
`void`
CompareContentViewerSwitchingPane.`setImage(Image image)`
`void`
CompareStructureViewerSwitchingPane.`setImage(Image image)`
Constructors in org.eclipse.compare.internal with parameters of type Image
Modifier
Constructor
Description
``
`DiffImageDescriptor(Image base, ImageDescriptor overlay, int w, boolean onLeft)`
``
`NavigationEndDialog(Shell parentShell, String dialogTitle, Image dialogTitleImage, String dialogMessage, String[][] labelsAndValues)`

## Uses of Image in org.eclipse.compare.structuremergeviewer

Methods in org.eclipse.compare.structuremergeviewer that return Image
Modifier and Type
Method
Description
`Image`
DiffElement.`getImage()`
The `DiffElement` implementation of this `ITypedInput` method returns `null`.
`Image`
DiffNode.`getImage()`
`Image`
ICompareInput.`getImage()`
Returns an image representing this input.
`Image`
StructureRootNode.`getImage()`

## Uses of Image in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return Image
Modifier and Type
Method
Description
`Image`
EnvironmentTab.EnvironmentVariableLabelProvider.`getColumnImage(Object element, int columnIndex)`
`Image`
AbstractLaunchConfigurationTab.`getImage()`
`Image`
CommonTab.`getImage()`
`static Image`
DebugUITools.`getImage(String key)`
Returns the shared image managed under the given key, or `null` if none.
`Image`
EnvironmentTab.`getImage()`
`Image`
IDebugModelPresentation.`getImage(Object element)`
Returns an image for the element, or `null` if a default image should be used.
`Image`
ILaunchConfigurationTab.`getImage()`
Returns the image for this tab, or `null` if none
`Image`
PrototypeTab.`getImage()`
`Image`
RefreshTab.`getImage()`
`Image`
IInstructionPointerPresentation.`getInstructionPointerImage(IEditorPart editorPart, IStackFrame frame)`
Returns the instruction pointer image used for the specified stack frame in the specified editor, or `null` if a default image should be used.
`static Image`
DebugUITools.`getSourceContainerImage(String id)`
Returns the image associated with the specified type of source container or `null` if none.
Methods in org.eclipse.debug.ui with parameters of type Image
Modifier and Type
Method
Description
`protected Button`
AbstractLaunchConfigurationTab.`createPushButton(Composite parent, String label, Image image)`
Creates and returns a new push button with the given label and/or image.

## Uses of Image in org.eclipse.debug.ui.memory

Methods in org.eclipse.debug.ui.memory that return Image
Modifier and Type
Method
Description
`protected Image`
AbstractMemoryRendering.`decorateImage(Image image)`
Decorates and returns this rendering's image.
`Image`
AbstractMemoryRendering.`getImage()`
`Image`
IMemoryRendering.`getImage()`
Returns an image for this rendering.
Methods in org.eclipse.debug.ui.memory with parameters of type Image
Modifier and Type
Method
Description
`protected Image`
AbstractMemoryRendering.`decorateImage(Image image)`
Decorates and returns this rendering's image.

## Uses of Image in org.eclipse.debug.ui.sourcelookup

Methods in org.eclipse.debug.ui.sourcelookup that return Image
Modifier and Type
Method
Description
`Image`
SourceLookupTab.`getImage()`

## Uses of Image in org.eclipse.e4.ui.css.swt.helpers

Methods in org.eclipse.e4.ui.css.swt.helpers that return Image
Modifier and Type
Method
Description
`static Image`
CSSSWTImageHelper.`getImage(CSSValue value, IResourcesLocatorManager manager, Display display)`
Methods in org.eclipse.e4.ui.css.swt.helpers with parameters of type Image
Modifier and Type
Method
Description
`static void`
CSSSWTImageHelper.`setBackgroundImage(Control control, Image image)`
Helper function to avoid setting images unnecessarily
`static void`
CSSSWTImageHelper.`setImage(Button button, Image image)`
Helper function to avoid setting images unnecessarily

## Uses of Image in org.eclipse.e4.ui.widgets

Methods in org.eclipse.e4.ui.widgets that return Image
Modifier and Type
Method
Description
`Image`
ImageBasedFrame.`getHandleImage()`
`Image`
ImageBasedFrame.`getImageCache()`
Methods in org.eclipse.e4.ui.widgets with parameters of type Image
Modifier and Type
Method
Description
`void`
ImageBasedFrame.`setImages(Image frameImage, Integer[] frameInts, Image handleImage)`

## Uses of Image in org.eclipse.e4.ui.workbench.renderers.swt

Methods in org.eclipse.e4.ui.workbench.renderers.swt that return Image
Modifier and Type
Method
Description
`protected Image`
AbstractContributionItem.`getImage(String iconURI, LocalResourceManager resourceManager)`
`Image`
SWTPartRenderer.`getImage(MUILabel element)`
`Image`
WBWRenderer.`getImage(MUILabel element)`
`protected Image`
SWTPartRenderer.`getImageFromURI(String iconURI)`
Methods in org.eclipse.e4.ui.workbench.renderers.swt with parameters of type Image
Modifier and Type
Method
Description
`ImageData`
CTabRendering.`blur(Image src, int radius, int sigma)`

## Uses of Image in org.eclipse.e4.ui.workbench.swt.util

Methods in org.eclipse.e4.ui.workbench.swt.util that return Image
Modifier and Type
Method
Description
`Image`
ISWTResourceUtilities.`adornImage(Image toAdorn, Image adornment)`
Low-level utility to stamp an adornment onto a given Image.
Methods in org.eclipse.e4.ui.workbench.swt.util with parameters of type Image
Modifier and Type
Method
Description
`Image`
ISWTResourceUtilities.`adornImage(Image toAdorn, Image adornment)`
Low-level utility to stamp an adornment onto a given Image.

## Uses of Image in org.eclipse.help.ui.internal

Methods in org.eclipse.help.ui.internal that return Image
Modifier and Type
Method
Description
`static Image`
HelpUIResources.`getIconImage(String key)`
Returns an icon image from a property file
`static Image`
HelpUIResources.`getImage(String name)`
Returns an image from a property file
`static Image`
HelpUIResources.`getImage(URL url)`
`static Image`
HelpUIResources.`getImageFromId(String iconId, boolean isOpen, boolean isLeaf)`
Get the image for an icon based upon the id

## Uses of Image in org.eclipse.jface.action

Methods in org.eclipse.jface.action with parameters of type Image
Modifier and Type
Method
Description
`void`
IStatusLineManager.`setErrorMessage(Image image, String message)`
Sets the image and error message to be displayed on the status line.
`void`
StatusLineManager.`setErrorMessage(Image image, String message)`
`void`
SubStatusLineManager.`setErrorMessage(Image image, String message)`
`void`
IStatusLineManager.`setMessage(Image image, String message)`
Sets the image and message to be displayed on the status line.
`void`
StatusLineManager.`setMessage(Image image, String message)`
`void`
SubStatusLineManager.`setMessage(Image image, String message)`

## Uses of Image in org.eclipse.jface.databinding.fieldassist

Methods in org.eclipse.jface.databinding.fieldassist that return Image
Modifier and Type
Method
Description
`protected Image`
ControlDecorationUpdater.`getImage(IStatus status)`
Returns an image to display in a ControlDecoration which is appropriate for the given status.

## Uses of Image in org.eclipse.jface.databinding.swt.typed

Methods in org.eclipse.jface.databinding.swt.typed that return types with arguments of type Image
Modifier and Type
Method
Description
`static <S extends Widget>
IWidgetValueProperty<S,Image>`
WidgetProperties.`image()`
Returns a value property for observing the image of a `Button`, `CLabel`, `Item` or `Label`.

## Uses of Image in org.eclipse.jface.databinding.viewers

Methods in org.eclipse.jface.databinding.viewers that return Image
Modifier and Type
Method
Description
`Image`
ObservableMapLabelProvider.`getColumnImage(Object element, int columnIndex)`
`Image`
ObservableMapLabelProvider.`getImage(Object element)`

## Uses of Image in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs that return Image
Modifier and Type
Method
Description
`Image`
IconAndMessageDialog.`getErrorImage()`
Return the `Image` to be used when displaying an error.
`static Image`
Dialog.`getImage(String key)`
Returns the standard dialog image with the given key.
`Image`
DialogPage.`getImage()`
`protected Image`
ErrorDialog.`getImage()`
`protected abstract Image`
IconAndMessageDialog.`getImage()`
Returns the image to display beside the message in this dialog.
`Image`
IDialogPage.`getImage()`
Returns this dialog page's image.
`Image`
MessageDialog.`getImage()`
`protected Image`
PlainMessageDialog.`getImage()`
`protected Image`
ProgressMonitorDialog.`getImage()`
`Image`
IconAndMessageDialog.`getInfoImage()`
Return the `Image` to be used when displaying information.
`Image`
IconAndMessageDialog.`getQuestionImage()`
Return the `Image` to be used when displaying a question.
`Image`
IconAndMessageDialog.`getWarningImage()`
Return the `Image` to be used when displaying a warning.
Methods in org.eclipse.jface.dialogs with parameters of type Image
Modifier and Type
Method
Description
`PlainMessageDialog.Builder`
PlainMessageDialog.Builder.`image(Image image)`
Sets the dialog's image (e.g. information icon).
`void`
StatusDialog.`setImage(Image image)`
Sets the image for this dialog.
`void`
TitleAreaDialog.`setTitleImage(Image newTitleImage)`
Sets the title image to be shown in the title area of this dialog.
`void`
DialogMessageArea.`showTitle(String titleMessage, Image titleImage)`
Show the title.
`PlainMessageDialog.Builder`
PlainMessageDialog.Builder.`titleImage(Image image)`
Sets the shell's image.
Constructors in org.eclipse.jface.dialogs with parameters of type Image
Modifier
Constructor
Description
``
`MessageDialog(Shell parentShell, String dialogTitle, Image dialogTitleImage, String dialogMessage, int dialogImageType, int defaultIndex, String... dialogButtonLabels)`
Create a message dialog.
``
`MessageDialog(Shell parentShell, String dialogTitle, Image dialogTitleImage, String dialogMessage, int dialogImageType, String[] dialogButtonLabels, int defaultIndex)`
Create a message dialog.
``
`MessageDialogWithToggle(Shell parentShell, String dialogTitle, Image image, String message, int dialogImageType, String[] dialogButtonLabels, int defaultIndex, String toggleMessage, boolean toggleState)`
Creates a message dialog with a toggle.
``
`MessageDialogWithToggle(Shell parentShell, String dialogTitle, Image image, String message, int dialogImageType, LinkedHashMap<String,Integer> buttonLabelToIdMap, int defaultIndex, String toggleMessage, boolean toggleState)`
Creates a message dialog with a toggle.

## Uses of Image in org.eclipse.jface.fieldassist

Methods in org.eclipse.jface.fieldassist that return Image
Modifier and Type
Method
Description
`Image`
ControlDecoration.`getImage()`
Get the image shown in this control decoration.
`Image`
FieldDecoration.`getImage()`
Return the image shown in the decoration, or `null` if no image is specified.
Methods in org.eclipse.jface.fieldassist with parameters of type Image
Modifier and Type
Method
Description
`void`
FieldDecorationRegistry.`registerFieldDecoration(String id, String description, Image image)`
Registers a field decoration using the specified id.
`void`
ControlDecoration.`setImage(Image image)`
Set the image shown in this control decoration.
`void`
FieldDecoration.`setImage(Image image)`
Set the image shown in the decoration, or `null` if no image is specified.
Constructors in org.eclipse.jface.fieldassist with parameters of type Image
Modifier
Constructor
Description
``
`FieldDecoration(Image image, String description)`
Create a decoration for a field with the specified image and description text.

## Uses of Image in org.eclipse.jface.notifications

Methods in org.eclipse.jface.notifications that return Image
Modifier and Type
Method
Description
`protected Image`
AbstractNotificationPopup.`getPopupShellImage(int maximumHeight)`
Methods in org.eclipse.jface.notifications with parameters of type Image
Modifier and Type
Method
Description
`NotificationPopup.Builder`
NotificationPopup.Builder.`titleImage(Image image)`
Sets the title image.

## Uses of Image in org.eclipse.jface.notifications.internal

Methods in org.eclipse.jface.notifications.internal that return Image
Modifier and Type
Method
Description
`static Image`
CommonImages.`getImage(ImageDescriptor imageDescriptor)`
Lazily initializes image map.

## Uses of Image in org.eclipse.jface.preference

Methods in org.eclipse.jface.preference that return Image
Modifier and Type
Method
Description
`Image`
PreferenceLabelProvider.`getImage(Object element)`
`Image`
IPreferenceNode.`getLabelImage()`
Returns the image used to present this node in a preference dialog.
`Image`
PreferenceNode.`getLabelImage()`

## Uses of Image in org.eclipse.jface.resource

Methods in org.eclipse.jface.resource that return Image
Modifier and Type
Method
Description
`Image`
ImageDescriptor.`createImage()`
Creates and returns a new SWT image for this image descriptor.
`Image`
ImageDescriptor.`createImage(boolean returnMissingImageOnError)`
Creates and returns a new SWT image for this image descriptor.
`Image`
ImageDescriptor.`createImage(boolean returnMissingImageOnError, Device device)`
Creates and returns a new SWT image for this image descriptor.
`Image`
ImageDescriptor.`createImage(Device device)`
Creates and returns a new SWT image for this image descriptor.
`final Image`
ResourceManager.`createImage(ImageDescriptor descriptor)`
Deprecated.
use `ResourceManager.create(DeviceResourceDescriptor)` instead
`final Image`
ResourceManager.`createImageWithDefault(ImageDescriptor descriptor)`
Creates an image, given an image descriptor.
`Image`
ImageRegistry.`get(String key)`
Returns the image associated with the given key in this registry, or `null` if none.
`protected Image`
DeviceResourceManager.`getDefaultImage()`
`protected Image`
LazyResourceManager.`getDefaultImage()`
`protected Image`
LocalResourceManager.`getDefaultImage()`
`protected abstract Image`
ResourceManager.`getDefaultImage()`
Returns the default image that will be returned in the event that the intended image is missing.
`static Image`
JFaceResources.`getImage(String key)`
Returns the image in JFace's image registry with the given key, or `null` if none.
Methods in org.eclipse.jface.resource with parameters of type Image
Modifier and Type
Method
Description
`protected CompositeImageDescriptor.CachedImageDataProvider`
CompositeImageDescriptor.`createCachedImageDataProvider(Image image)`
Creates a new `CompositeImageDescriptor.CachedImageDataProvider` that is backed by the given image.
`static ImageDescriptor`
ImageDescriptor.`createFromImage(Image img)`
Creates and returns a new image descriptor for the given image.
`static ImageDescriptor`
ImageDescriptor.`createFromImage(Image img, Device theDevice)`
Deprecated.
use `ImageDescriptor.createFromImage(Image)`
`void`
ImageRegistry.`put(String key, Image image)`
Adds an image to this registry.

## Uses of Image in org.eclipse.jface.text.contentassist

Methods in org.eclipse.jface.text.contentassist that return Image
Modifier and Type
Method
Description
`Image`
CompletionProposal.`getImage()`
`Image`
ContextInformation.`getImage()`
`Image`
ICompletionProposal.`getImage()`
Returns the image to be displayed in the list of completion proposals.
`Image`
IContextInformation.`getImage()`
Returns the image for this context information.
Constructors in org.eclipse.jface.text.contentassist with parameters of type Image
Modifier
Constructor
Description
``
`CompletionProposal(String replacementString, int replacementOffset, int replacementLength, int cursorPosition, Image image, String displayString, IContextInformation contextInformation, String additionalProposalInfo)`
Creates a new completion proposal.
``
`ContextInformation(Image image, String contextDisplayString, String informationDisplayString)`
Creates a new context information with an image.

## Uses of Image in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source with parameters of type Image
Modifier and Type
Method
Description
`static void`
ImageUtilities.`drawImage(Image image, GC gc, Canvas canvas, Rectangle r, int align)`
Draws an image aligned inside the given rectangle on the given canvas.
`static void`
ImageUtilities.`drawImage(Image image, GC gc, Canvas canvas, Rectangle r, int halign, int valign)`
Draws an image aligned inside the given rectangle on the given canvas.

## Uses of Image in org.eclipse.jface.text.templates

Methods in org.eclipse.jface.text.templates that return Image
Modifier and Type
Method
Description
`protected abstract Image`
TemplateCompletionProcessor.`getImage(Template template)`
Returns the image to be used for the proposal for `template`.
`Image`
TemplateProposal.`getImage()`
Constructors in org.eclipse.jface.text.templates with parameters of type Image
Modifier
Constructor
Description
``
`TemplateProposal(Template template, TemplateContext context, IRegion region, Image image)`
Creates a template proposal with a template and its context.
``
`TemplateProposal(Template template, TemplateContext context, IRegion region, Image image, int relevance)`
Creates a template proposal with a template and its context.

## Uses of Image in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers that return Image
Modifier and Type
Method
Description
`Image`
ILabelDecorator.`decorateImage(Image image, Object element)`
Returns an image that is based on the given image, but decorated with additional information relating to the state of the provided element.
`abstract Image`
LabelDecorator.`decorateImage(Image image, Object element, IDecorationContext context)`
Returns an image that is based on the given image, but decorated with additional information relating to the state of the provided element taking into account the provided context.
`Image`
ITableLabelProvider.`getColumnImage(Object element, int columnIndex)`
Returns the label image for the given column of the given element.
`Image`
ColumnLabelProvider.`getImage(Object element)`
`Image`
DecoratingLabelProvider.`getImage(Object element)`
The `DecoratingLabelProvider` implementation of this `ILabelProvider` method returns the image provided by the nested label provider's `getImage` method, decorated with the decoration provided by the label decorator's `decorateImage` method.
`Image`
DecoratingStyledCellLabelProvider.`getImage(Object element)`
`Image`
DelegatingStyledCellLabelProvider.`getImage(Object element)`
Returns the image for the label of the given element.
`Image`
DelegatingStyledCellLabelProvider.IStyledLabelProvider.`getImage(Object element)`
Returns the image for the label of the given element.
`Image`
ILabelProvider.`getImage(Object element)`
Returns the image for the label of the given element.
`Image`
LabelProvider.`getImage(Object element)`
The `LabelProvider` implementation of this `ILabelProvider` method returns `null`.
`Image`
TableViewerRow.`getImage(int columnIndex)`
`Image`
TreeViewerRow.`getImage(int columnIndex)`
`Image`
ViewerCell.`getImage()`
Return the Image for the cell.
`final Image`
ViewerLabel.`getImage()`
Get the image for the receiver.
`abstract Image`
ViewerRow.`getImage(int columnIndex)`
Return the image at the columnIndex.
`Image`
CellLabelProvider.`getToolTipImage(Object object)`
Get the image displayed in the tool tip for object.
Methods in org.eclipse.jface.viewers with parameters of type Image
Modifier and Type
Method
Description
`Image`
ILabelDecorator.`decorateImage(Image image, Object element)`
Returns an image that is based on the given image, but decorated with additional information relating to the state of the provided element.
`abstract Image`
LabelDecorator.`decorateImage(Image image, Object element, IDecorationContext context)`
Returns an image that is based on the given image, but decorated with additional information relating to the state of the provided element taking into account the provided context.
`void`
TableViewerRow.`setImage(int columnIndex, Image image)`
`void`
TreeViewerRow.`setImage(int columnIndex, Image image)`
`void`
ViewerCell.`setImage(Image image)`
Set the Image for the cell.
`final void`
ViewerLabel.`setImage(Image image)`
Set the image for the receiver.
`abstract void`
ViewerRow.`setImage(int columnIndex, Image image)`
Set the image at the columnIndex
Method parameters in org.eclipse.jface.viewers with type arguments of type Image
Modifier and Type
Method
Description
`static ColumnLabelProvider`
ColumnLabelProvider.`createImageProvider(Function<Object,Image> imageFunction)`
Creates a `ColumnLabelProvider` which implements the `ColumnLabelProvider.getImage(java.lang.Object)` method by calling the argument function.
`static LabelProvider`
LabelProvider.`createImageProvider(Function<Object,Image> imageFunction)`
Creates a `LabelProvider` which implements the `LabelProvider.getImage(java.lang.Object)` method by calling the argument function.
Constructors in org.eclipse.jface.viewers with parameters of type Image
Modifier
Constructor
Description
``
`DecorationOverlayIcon(Image baseImage, ImageDescriptor[] overlaysArray)`
Create the decoration overlay for the base image using the array of provided overlays.
``
`DecorationOverlayIcon(Image baseImage, ImageDescriptor[] overlaysArray, Point sizeValue)`
Create the decoration overlay for the base image using the array of provided overlays.
``
`DecorationOverlayIcon(Image baseImage, ImageDescriptor overlayImage, int quadrant)`
Create a decoration overlay icon that will place the given overlay icon in the given quadrant of the base image.
``
`ViewerLabel(String initialText, Image initialImage)`
Create a new instance of the receiver with the supplied initial text and image.

## Uses of Image in org.eclipse.jface.widgets

Methods in org.eclipse.jface.widgets with parameters of type Image
Modifier and Type
Method
Description
`F`
AbstractItemFactory.`image(Image image)`
Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.
`ButtonFactory`
ButtonFactory.`image(Image image)`
Sets the receiver's image to the argument, which may be `null` indicating that no image should be displayed.
`LabelFactory`
LabelFactory.`image(Image image)`
Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.

## Uses of Image in org.eclipse.jface.window

Methods in org.eclipse.jface.window that return Image
Modifier and Type
Method
Description
`protected Image`
DefaultToolTip.`getBackgroundImage(Event event)`
The background `Image` used by `CLabel` in the default implementation
`static Image`
Window.`getDefaultImage()`
Returns the default image.
`static Image[]`
Window.`getDefaultImages()`
Returns the array of default images to use for newly opened windows.
`protected Image`
DefaultToolTip.`getImage(Event event)`
The `Image` displayed in the `CLabel` in the default implementation implementation
Methods in org.eclipse.jface.window with parameters of type Image
Modifier and Type
Method
Description
`void`
DefaultToolTip.`setBackgroundImage(Image backgroundImage)`
The background `Image` used by `CLabel` in the default implementation
`static void`
Window.`setDefaultImage(Image image)`
Sets the default image.
`static void`
Window.`setDefaultImages(Image[] images)`
Sets the array of default images to use for newly opened windows.
`void`
DefaultToolTip.`setImage(Image image)`
The `Image` displayed in the `CLabel` in the default implementation implementation

## Uses of Image in org.eclipse.jface.wizard

Methods in org.eclipse.jface.wizard that return Image
Modifier and Type
Method
Description
`Image`
IWizard.`getDefaultPageImage()`
Returns the default page image for this wizard.
`Image`
Wizard.`getDefaultPageImage()`
`Image`
WizardPage.`getImage()`

## Uses of Image in org.eclipse.ltk.ui.refactoring.history

Methods in org.eclipse.ltk.ui.refactoring.history that return Image
Modifier and Type
Method
Description
`Image`
RefactoringHistoryLabelProvider.`getImage(Object element)`

## Uses of Image in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom that return Image
Modifier and Type
Method
Description
`Image`
CTabItem.`getDisabledImage()`
Deprecated.
the disabled image is not used
`Image`
CLabel.`getImage()`
Return the CLabel's image or `null`.
Methods in org.eclipse.swt.custom with parameters of type Image
Modifier and Type
Method
Description
`void`
CLabel.`setBackground(Image image)`
Set the image to be drawn in the background of the label.
`void`
CTabFolder.`setBackgroundImage(Image image)`
`void`
CTabItem.`setDisabledImage(Image image)`
Deprecated.
This image is not used
`void`
CLabel.`setImage(Image image)`
Set the label's Image.
`void`
CTabItem.`setImage(Image image)`
`void`
CTabFolder.`setSelectionBackground(Image image)`
Set the image to be drawn in the background of the selected tab.

## Uses of Image in org.eclipse.swt.dnd

Fields in org.eclipse.swt.dnd declared as Image
Modifier and Type
Field
Description
`Image`
DragSourceEvent.`image`
The drag source image to be displayed during the drag.

## Uses of Image in org.eclipse.swt.graphics

Fields in org.eclipse.swt.graphics declared as Image
Modifier and Type
Field
Description
`Image`
GCData.`image`
Methods in org.eclipse.swt.graphics that return Image
Modifier and Type
Method
Description
`static Image`
Image.`win32_new(Device device, int type, long handle)`
Invokes platform specific functionality to allocate a new image.
Methods in org.eclipse.swt.graphics with parameters of type Image
Modifier and Type
Method
Description
`void`
GC.`copyArea(Image image, int x, int y)`
Copies a rectangular area of the receiver at the specified position into the image, which must be of type `SWT.BITMAP`.
`void`
GC.`drawImage(Image image, int x, int y)`
Draws the given image in the receiver at the specified coordinates.
`void`
GC.`drawImage(Image image, int srcX, int srcY, int srcWidth, int srcHeight, int destX, int destY, int destWidth, int destHeight)`
Copies a rectangular area from the source image into a (potentially different sized) rectangular area in the receiver.
Constructors in org.eclipse.swt.graphics with parameters of type Image
Modifier
Constructor
Description
``
`Image(Device device, Image srcImage, int flag)`
Constructs a new instance of this class based on the provided image, with an appearance that varies depending on the value of the flag.
``
`Pattern(Device device, Image image)`
Constructs a new Pattern given an image.

## Uses of Image in org.eclipse.swt.internal

Methods in org.eclipse.swt.internal that return Image
Modifier and Type
Method
Description
`Image`
ImageList.`get(int index)`
Methods in org.eclipse.swt.internal with parameters of type Image
Modifier and Type
Method
Description
`int`
ImageList.`add(Image image)`
`int`
ImageList.`indexOf(Image image)`
`void`
ImageList.`put(int index, Image image)`

## Uses of Image in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Image
Modifier and Type
Method
Description
`Image`
Control.`getBackgroundImage()`
Returns the receiver's background image.
`Image`
ToolItem.`getDisabledImage()`
Returns the receiver's disabled image if it has one, or null if it does not.
`Image`
TrayItem.`getHighlightImage()`
Returns the receiver's highlight image if it has one, or null if it does not.
`Image`
ToolItem.`getHotImage()`
Returns the receiver's hot image if it has one, or null if it does not.
`Image`
Button.`getImage()`
Returns the receiver's image if it has one, or null if it does not.
`Image`
Caret.`getImage()`
Returns the image that the receiver will use to paint the caret.
`Image`
Decorations.`getImage()`
Returns the receiver's image if it had previously been set using `setImage()`.
`Image`
Item.`getImage()`
Returns the receiver's image if it has one, or null if it does not.
`Image`
Label.`getImage()`
Returns the receiver's image if it has one, or null if it does not.
`Image`
TableItem.`getImage()`
`Image`
TableItem.`getImage(int index)`
Returns the image stored at the given column index in the receiver, or null if the image has not been set or if the column does not exist.
`Image`
ToolItem.`getImage()`
Returns the receiver's enabled image if it has one, or null if it does not.
`Image`
TreeItem.`getImage()`
`Image`
TreeItem.`getImage(int index)`
Returns the image stored at the given column index in the receiver, or null if the image has not been set or if the column does not exist.
`Image[]`
Decorations.`getImages()`
Returns the receiver's images if they had previously been set using `setImages()`.
`Image`
TaskItem.`getOverlayImage()`
Returns the receiver's overlay image if it has one, or null if it does not.
`Image`
Display.`getSystemImage(int id)`
Returns the matching standard platform image for the given constant, which should be one of the icon constants specified in class `SWT`.
Methods in org.eclipse.swt.widgets with parameters of type Image
Modifier and Type
Method
Description
`void`
Control.`setBackgroundImage(Image image)`
Sets the receiver's background image to the image specified by the argument, or to the default system color for the control if the argument is null.
`void`
ToolItem.`setDisabledImage(Image image)`
Sets the receiver's disabled image to the argument, which may be null indicating that no disabled image should be displayed.
`void`
TrayItem.`setHighlightImage(Image image)`
Sets the receiver's highlight image.
`void`
ToolItem.`setHotImage(Image image)`
Sets the receiver's hot image to the argument, which may be null indicating that no hot image should be displayed.
`void`
Button.`setImage(Image image)`
Sets the receiver's image to the argument, which may be `null` indicating that no image should be displayed.
`void`
Caret.`setImage(Image image)`
Sets the image that the receiver will use to paint the caret to the image specified by the argument, or to the default which is a filled rectangle if the argument is null
`void`
Decorations.`setImage(Image image)`
Sets the receiver's image to the argument, which may be null.
`void`
ExpandItem.`setImage(Image image)`
`void`
Item.`setImage(Image image)`
Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.
`void`
Label.`setImage(Image image)`
Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.
`void`
MenuItem.`setImage(Image image)`
Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.
`void`
TabItem.`setImage(Image image)`
`void`
TableColumn.`setImage(Image image)`
`void`
TableItem.`setImage(int index, Image image)`
Sets the receiver's image at a column.
`void`
TableItem.`setImage(Image image)`
`void`
TableItem.`setImage(Image[] images)`
Sets the image for multiple columns in the table.
`void`
ToolItem.`setImage(Image image)`
`void`
TrayItem.`setImage(Image image)`
Sets the receiver's image.
`void`
TreeColumn.`setImage(Image image)`
`void`
TreeItem.`setImage(int index, Image image)`
Sets the receiver's image at a column.
`void`
TreeItem.`setImage(Image image)`
`void`
TreeItem.`setImage(Image[] images)`
Sets the image for multiple columns in the tree.
`void`
Decorations.`setImages(Image[] images)`
Sets the receiver's images to the argument, which may be an empty array.
`void`
TaskItem.`setOverlayImage(Image overlayImage)`
Sets the receiver's overlay image, which may be null indicating that no image should be displayed.

## Uses of Image in org.eclipse.team.ui.history

Methods in org.eclipse.team.ui.history that return Image
Modifier and Type
Method
Description
`Image`
HistoryPageSaveablePart.`getTitleImage()`
Deprecated.

## Uses of Image in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping that return Image
Modifier and Type
Method
Description
`Image`
SynchronizationLabelProvider.`getImage(Object element)`

## Uses of Image in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return Image
Modifier and Type
Method
Description
`protected Image`
AbstractSynchronizeLabelProvider.`decorateImage(Image base, Object element)`
Decorate the image with the appropriate diff decorations.
`protected Image`
AbstractSynchronizeLabelProvider.`getCompareImage(Image base, int compareKind)`
Returns an image showing the specified change kind applied to a given base image.
`protected Image`
AbstractSynchronizeLabelProvider.`getDelegateImage(Object element)`
Return the image for the item from the delegate label provider.
`Image`
AbstractSynchronizeLabelProvider.`getImage(Object element)`
`Image`
ParticipantPageCompareEditorInput.`getTitleImage()`
`Image`
ParticipantPagePane.`getTitleImage()`
`Image`
ParticipantPageSaveablePart.`getTitleImage()`
Deprecated.
`Image`
SaveableCompareEditorInput.`getTitleImage()`
Methods in org.eclipse.team.ui.synchronize with parameters of type Image
Modifier and Type
Method
Description
`protected Image`
AbstractSynchronizeLabelProvider.`decorateImage(Image base, Object element)`
Decorate the image with the appropriate diff decorations.
`protected Image`
AbstractSynchronizeLabelProvider.`getCompareImage(Image base, int compareKind)`
Returns an image showing the specified change kind applied to a given base image.

## Uses of Image in org.eclipse.ui

Methods in org.eclipse.ui that return Image
Modifier and Type
Method
Description
`Image`
IMarkerResolution2.`getImage()`
Returns the image to be displayed in the list of resolutions.
`Image`
ISharedImages.`getImage(String symbolicName)`
Retrieves the specified image from the workbench plugin's image registry.
`Image`
IWorkbenchPart.`getTitleImage()`
Returns the title image of this workbench part.
`Image`
IWorkbenchPartReference.`getTitleImage()`

## Uses of Image in org.eclipse.ui.console

Methods in org.eclipse.ui.console that return Image
Modifier and Type
Method
Description
`static Image`
ConsolePlugin.`getImage(String key)`
Returns the `Image` identified by the given key, or `null` if it does not exist.

## Uses of Image in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs that return Image
Modifier and Type
Method
Description
`Image`
FileEditorMappingLabelProvider.`getColumnImage(Object element, int row)`
The `ResourceTypeEditorMappingLabelProvider` implementation of this `ITableLabelProvider` method creates and returns an new image.
`Image`
FileEditorMappingLabelProvider.`getImage(Object element)`
The `ResourceTypeEditorMappingLabelProvider` implementation of this `ILabelProvider` method creates and returns an new image.
Methods in org.eclipse.ui.dialogs with parameters of type Image
Modifier and Type
Method
Description
`void`
SelectionStatusDialog.`setImage(Image image)`
Sets the image for this dialog.

## Uses of Image in org.eclipse.ui.forms.editor

Methods in org.eclipse.ui.forms.editor that return Image
Modifier and Type
Method
Description
`Image`
FormPage.`getTitleImage()`
Returns `null`- form page has no title image.

## Uses of Image in org.eclipse.ui.forms.widgets

Methods in org.eclipse.ui.forms.widgets that return Image
Modifier and Type
Method
Description
`Image`
ImageHyperlink.`getActiveImage()`
Returns active image.
`Image`
Form.`getBackgroundImage()`
Returns the optional background image of the form head.
`Image`
ScrolledForm.`getBackgroundImage()`
Returns the optional background image of this form.
`Image`
ImageHyperlink.`getHoverImage()`
Returns the hover image.
`Image`
Form.`getImage()`
Returns the title image that will be rendered to the left of the title.
`Image`
ImageHyperlink.`getImage()`
Returns the image to show in the normal state.
`Image`
ScrolledForm.`getImage()`
Returns the title image that will be rendered to the left of the title.
Methods in org.eclipse.ui.forms.widgets with parameters of type Image
Modifier and Type
Method
Description
`void`
ImageHyperlink.`setActiveImage(Image activeImage)`
Sets the image to show when link is activated.
`void`
Form.`setBackgroundImage(Image backgroundImage)`
Sets the optional background image to be rendered behind the title starting at the position 0,0.
`void`
ScrolledForm.`setBackgroundImage(Image backgroundImage)`
Sets the optional background image to be rendered behind the title starting at the position 0,0.
`final void`
Section.`setBackgroundImage(Image image)`
Background image is used for the title gradient - does nothing.
`void`
ImageHyperlink.`setHoverImage(Image hoverImage)`
Sets the image to show when link is hover state (on mouse over).
`void`
Form.`setImage(Image image)`
Sets the image to be rendered to the left of the title.
`void`
FormText.`setImage(String key, Image image)`
Registers the image referenced by the provided key.
`void`
ImageHyperlink.`setImage(Image image)`
Sets the image to show when link is in the normal state.
`void`
ScrolledForm.`setImage(Image image)`
Sets the image to be rendered to the left of the title.

## Uses of Image in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal that return Image
Modifier and Type
Method
Description
`Image`
SharedImages.`getImage(String symbolicName)`
Retrieves the specified image from the workbench plugin's image registry.
`static Image`
WorkbenchImages.`getImage(String symbolicName)`
Returns the image stored in the workbench plugin's image registry under the given symbolic name.
`Image`
ViewIntroAdapterPart.`getTitleImage()`
`final Image`
WorkbenchPartReference.`getTitleImage()`
Methods in org.eclipse.ui.internal with parameters of type Image
Modifier and Type
Method
Description
`void`
FilteredTableBaseHandler.FilteredTableItem.`setImage(Image image)`

## Uses of Image in org.eclipse.ui.intro

Methods in org.eclipse.ui.intro that return Image
Modifier and Type
Method
Description
`Image`
IIntroPart.`getTitleImage()`
Returns the title image of this intro part.

## Uses of Image in org.eclipse.ui.intro.quicklinks

Methods in org.eclipse.ui.intro.quicklinks that return Image
Modifier and Type
Method
Description
`Image`
URLLabelProvider.`getImage(Object element)`

## Uses of Image in org.eclipse.ui.model

Methods in org.eclipse.ui.model that return Image
Modifier and Type
Method
Description
`Image`
PerspectiveLabelProvider.`getColumnImage(Object element, int columnIndex)`
`Image`
WorkbenchPartLabelProvider.`getColumnImage(Object element, int columnIndex)`
`Image`
PerspectiveLabelProvider.`getImage(Object element)`
`final Image`
WorkbenchLabelProvider.`getImage(Object element)`
`Image`
WorkbenchPartLabelProvider.`getImage(Object element)`

## Uses of Image in org.eclipse.ui.part

Methods in org.eclipse.ui.part that return Image
Modifier and Type
Method
Description
`protected Image`
IntroPart.`getDefaultImage()`
Returns the default title image.
`protected Image`
WorkbenchPart.`getDefaultImage()`
Returns the default title image.
`protected Image`
MultiPageEditorPart.`getPageImage(int pageIndex)`
Returns the image for the page with the given index, or `null` if no image has been set for the page.
`Image`
IntroPart.`getTitleImage()`
`Image`
WorkbenchPart.`getTitleImage()`
Methods in org.eclipse.ui.part with parameters of type Image
Modifier and Type
Method
Description
`protected void`
MultiPageEditorPart.`setPageImage(int pageIndex, Image image)`
Sets the image for the page with the given index, or `null` to clear the image for the page.
`protected void`
IntroPart.`setTitleImage(Image titleImage)`
Sets or clears the title image of this part.
`protected void`
WorkbenchPart.`setTitleImage(Image titleImage)`
Sets or clears the title image of this part.

## Uses of Image in org.eclipse.ui.progress

Methods in org.eclipse.ui.progress that return Image
Modifier and Type
Method
Description
`Image`
IProgressService.`getIconFor(Job job)`
Get the icon that has been registered for a Job by checking if the job belongs to any of the registered families.

## Uses of Image in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return Image
Modifier and Type
Method
Description
`protected Image`
MarkerAnnotation.`getImage(String name)`
Deprecated.
As of 3.0, visual presentation is no longer supported, annotation with a visible presentation should implement `IAnnotationPresentation`
`protected Image`
MarkerAnnotation.`getImage(Display display)`
Deprecated.
As of 3.0, visual presentation is no longer supported, annotation with a visible presentation should implement `IAnnotationPresentation`
`protected static Image`
MarkerAnnotation.`getImage(Display display, ImageDescriptor descriptor)`
Deprecated.
As of 3.0, visual presentation is no longer supported, annotation with a visible presentation should implement `IAnnotationPresentation`
`Image`
IAnnotationImageProvider.`getManagedImage(Annotation annotation)`
Returns the image for the given annotation or `null`.
Methods in org.eclipse.ui.texteditor that return types with arguments of type Image
Modifier and Type
Method
Description
`protected static Map<ImageDescriptor,Image>`
MarkerAnnotation.`getImageRegistry(Display display)`
Deprecated.
As of 3.0, visual presentation is no longer supported, annotation with a visible presentation should implement `IAnnotationPresentation`
Methods in org.eclipse.ui.texteditor with parameters of type Image
Modifier and Type
Method
Description
`static void`
ImageUtilities.`drawImage(Image image, GC gc, Canvas canvas, Rectangle r, int align)`
Deprecated.
As of 3.0, replaced by `ImageUtilities.drawImage(Image, GC, Canvas, Rectangle, int)`
`static void`
ImageUtilities.`drawImage(Image image, GC gc, Canvas canvas, Rectangle r, int halign, int valign)`
Deprecated.
As of 3.0, replaced by `ImageUtilities.drawImage(Image, GC, Canvas, Rectangle, int, int)`
`void`
IStatusFieldExtension.`setErrorImage(Image image)`
Sets the error image of this status field.
`void`
StatusLineContributionItem.`setErrorImage(Image image)`
`void`
IStatusField.`setImage(Image image)`
Sets the image of this status field.
`protected void`
MarkerAnnotation.`setImage(Image image)`
Deprecated.
As of 3.0, visual presentation is no longer supported, annotation with a visible presentation should implement `IAnnotationPresentation`
`void`
StatusLineContributionItem.`setImage(Image image)`
`void`
IEditorStatusLine.`setMessage(boolean error, String message, Image image)`
Sets the image and message to be displayed on the status line.

## Uses of Image in org.eclipse.ui.texteditor.templates

Methods in org.eclipse.ui.texteditor.templates that return Image
Modifier and Type
Method
Description
`protected Image`
AbstractTemplatesPage.`getImage(Template template)`
Returns the image to be used for the given template.

## Uses of Image in org.eclipse.ui.views.markers

Methods in org.eclipse.ui.views.markers that return Image
Modifier and Type
Method
Description
`Image`
MarkerField.`annotateImage(MarkerItem item, Image image)`
Annotate the image with indicators for whether or not help or quick fix are available.
`Image`
MarkerField.`getColumnHeaderImage()`
Methods in org.eclipse.ui.views.markers with parameters of type Image
Modifier and Type
Method
Description
`Image`
MarkerField.`annotateImage(MarkerItem item, Image image)`
Annotate the image with indicators for whether or not help or quick fix are available.

## Uses of Image in org.eclipse.ui.views.markers.internal

Methods in org.eclipse.ui.views.markers.internal that return Image
Modifier and Type
Method
Description
`Image`
FieldCategory.`getColumnHeaderImage()`
`Image`
IField.`getColumnHeaderImage()`
`Image`
FieldCategory.`getDescriptionImage()`
`Image`
IField.`getDescriptionImage()`
`Image`
FieldCategory.`getImage(Object obj)`
`Image`
IField.`getImage(Object obj)`
`static Image`
Util.`getImage(int severity)`
Get the image for the severity if it can be identified.

## Uses of Image in org.eclipse.ui.views.properties

Methods in org.eclipse.ui.views.properties that return Image
Modifier and Type
Method
Description
`Image`
IPropertySheetEntry.`getImage()`
Returns the image for the property value, if there is one.
`Image`
PropertyColumnLabelProvider.`getImage(Object object)`
`Image`
PropertySheetEntry.`getImage()`

## Uses of Image in org.eclipse.ui.views.properties.tabbed

Methods in org.eclipse.ui.views.properties.tabbed that return Image
Modifier and Type
Method
Description
`Image`
AbstractTabDescriptor.`getImage()`
`Image`
ITabItem.`getImage()`
Get the icon image for the tab.
`Image`
TabbedPropertySheetPage.`getTitleImage(ISelection selection)`
Returns the title image for given selection.